Subject: bug#31203: 26.1; Fringe and toolbar bitmaps unscaled on Windows 10 HiDPI display

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Apr 2018 09:34:09 +0300

> Cc: [email-masked]
> From: Keith Russell <[email-masked]>
> Date: Wed, 18 Apr 2018 19:55:33 -0400
> 
> Unfortunately that only changes the width of the fringe. I had tried it 
> before but tried again just to make sure. The bitmap doesn't scale with 
> the fringe width. See the attached screen shot. This is with a fringe of 
> 32 and a font of "10" which translates to 33 pixels on my display. I'm 
> not a Windows programmer (more Linux than anything) so I'm not sure if I 
> can provide a patch. I will poke around the source and see what I can 
> see. Maybe something obvious will pop out.

Thanks.  I wonder why this problem was not reported on X.  Maybe the
relevant X APIs scale the bitmaps under the hood?